## cryptolyzer 0.12.5

=== requirements.txt ===
oscrypto @ git+https://github.com/wbond/oscrypto.git@d5f3437
attrs>=20.3.0,<22.0.1
bs4
certvalidator
colorama
cryptoparser>=0.12.5
pathlib2==2.3.7.post1;python_version<"3.4"
pathlib2;python_version>="3.4"
pyfakefs
python-dateutil
requests
dnspython
typing;python_version<"3.5"
urllib3

=== debian/changelog ===
cryptolyzer (0.12.5-1) unstable; urgency=low

  * source package automatically created by stdeb 0.10.0

 -- Szilárd Pfeiffer <coroner@pfeifferszilard.hu>  Sun, 26 May 2024 16:16:35 +0000

=== debian/control ===
Source: cryptolyzer
Maintainer: Szilárd Pfeiffer <coroner@pfeifferszilard.hu>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-pkg-resources, python3-attr (>= 20.3.0) | python3-attr (<< 22.0.1), python3-colorama, python3-pyfakefs, python3-dateutil, python3-requests, python3-dnspython, python3-urllib3, python3-all, debhelper (>= 9), dh-python
Standards-Version: 3.9.1

Package: python3-cryptolyzer
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: A comprehensive cryptographic settings analyzer
 **CryptoLyzer** is a fast, flexible, and comprehensive server cryptographic protocol
 (`TLS <https://en.wikipedia.org/wiki/Transport_Layer_Security>`__,
 `SSL <https://en.wikipedia.org/wiki/Transport_Layer_Security#SSL_1.0,_2.0,_and_3.0>`__,
 `SSH <https://en.wikipedia.org/wiki/Secure_Shell>`__,
 `DNSSEC <https://en.wikipedia.org/wiki/Domain_Name_System_Security_Extensions>`__) and related setting
 (`HTTP headers <https://en.wikipedia.org/wiki/List_of_HTTP_header_fields>`__,
 `DNS records <https://en.wikipedia.org/wiki/List_of_DNS_record_types>`__) analyzer and fingerprint
 (`JA3 <https://engineering.salesforce.com/tls-fingerprinting-with-ja3-and-ja3s-247362855967>`__,
 `HASSH <https://engineering.salesforce.com/open-sourcing-hassh-abed3ae5044c/>`__ tag) generator with
 `application programming <https://en.wikipedia.org/wiki/API>`__ (API) and
 `command line <https://en.wikipedia.org/wiki/Command-line_interface>`__ (CLI) interface.
 .
 However the API can provide the most complete functionality, the CLI also strives to be as comprehensive as possible. To
 do that CLI provides three output formats. The first one for human analysis where the cryptographic algorithm names and
 the values of key sizes and other security-related settings are colorized according to their security strength using the
 well-known `traffic light rating system <https://en.wikipedia.org/wiki/Traffic_light_rating_system>`__. The other two
 output formats (:ref:`Output Formats / Markdown`, :ref:`Output Formats / JSON`) are machine-readable, however the
 Markdown format even human-readable and even suitable for generating documentation in different formats (e.g. DOCX, PDF,
 ...).
 .

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Sun, 26 May 2024 16:16:35 +0000

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_clean:
	python3 setup.py clean -a
	find . -name \*.pyc -exec rm {} \;

override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	python3 setup.py install --force --root=debian/python3-cryptolyzer --no-compile -O0 --install-layout=deb  

override_dh_python2:
	dh_python2 --no-guessing-versions
